<?php

namespace com\fwdekker\deathnotifier\validator;

use com\fwdekker\deathnotifier\Config;


/**
 * Validates that the input equals the CLI password.
 */
class IsCliPasswordRule extends Rule
{
    /**
     * Validates that the input equals the CLI password.
     *
     * @param array<int|string, mixed> $inputs the list of inputs in which the value at {@see $key} should be checked
     * @param string $key the key in {@see $inputs} of the input to check
     * @return void if the checked input equals the CLI password
     * @throws InvalidInputException if the checked input is does not equal the CLI password
     */
    public function check(array $inputs, string $key): void
    {
        if (!isset($inputs[$key]) || !hash_equals(Config::get()["admin"]["cli_secret"], $inputs[$key]))
            throw new InvalidInputException($this->override_message ?? "Incorrect password.", $key);
    }
}
