<?php

namespace com\fwdekker\deathnotifier\validator;


/**
 * Validates that the input is not a blank string.
 */
class IsNotBlankRule extends Rule
{
    /**
     * Validates that the input is not a blank string.
     *
     * @param array<int|string, mixed> $inputs the list of inputs in which the value at {@see $key} should be checked
     * @param string $key the key in {@see $inputs} of the input to check
     * @return void if the checked input is not a blank string
     * @throws InvalidInputException if the checked input is not set, is not a string, or is a blank string
     */
    public function check(array $inputs, string $key): void
    {
        if (!isset($inputs[$key]) || !is_string($inputs[$key]) || trim($inputs[$key]) === "")
            throw new InvalidInputException($this->override_message ?? "Use at least one character.", $key);
    }
}
