<?php

namespace com\fwdekker\deathnotifier\validator;


/**
 * Validates that the input equals the CLI password.
 */
class IsValidCsrfTokenRule extends IsEqualToRule
{
    /**
     * Constructs a new `IsValidCsrfTokenRule`.
     *
     * @param string|null $override_message the message to return if the rule does not apply to some input. If `null`,
     * the rule implementation can choose an appropriate message
     */
    public function __construct(?string $override_message = null)
    {
        parent::__construct(
            $_SESSION["token"],
            $override_message ?? "Invalid request token. Please refresh the page and try again."
        );
    }
}
